Page MenuHomeFreeBSD

devel/awscli: use USE_PTYHON=noflavors, remove PKGNAMEPREFIX
ClosedPublic

Authored by bhughes on Dec 20 2017, 1:16 PM.

Details

Summary

devel/awscli: use USE_PTYHON=noflavors, remove PKGNAMEPREFIX

The introduction of flavors caused the awscli package to be renamed to
py27-awscli. Since this package is preinstalled on all AWS EC2 instances
running a FreeBSD image, apply POLA and rename the package back to
awscli. The assumption is that the rename was unintentional.

Approved by: robak (mentor)
MFH: 2018Q1

Test Plan

$ pwd
/usr/ports/devel/awscli
$ portlint -C
WARN: Makefile: no port directory /usr/ports/devel/py-botocore@py27 found, even though it is listed in RUN_DEPENDS.
WARN: Makefile: no port directory /usr/ports/devel/py-colorama@py27 found, even though it is listed in RUN_DEPENDS.
WARN: Makefile: no port directory /usr/ports/net/py-s3transfer@py27 found, even though it is listed in RUN_DEPENDS.
WARN: Makefile: no port directory /usr/ports/textproc/py-docutils@py27 found, even though it is listed in RUN_DEPENDS.
WARN: Makefile: no port directory /usr/ports/security/py-rsa@py27 found, even though it is listed in RUN_DEPENDS.
WARN: Makefile: no port directory /usr/ports/devel/py-yaml@py27 found, even though it is listed in RUN_DEPENDS.
0 fatal errors and 6 warnings found.

http://35.176.221.15/data/latest-per-pkg/awscli/1.14.13/

Diff Detail

Repository
rP FreeBSD ports repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

bhughes created this revision.Dec 20 2017, 1:16 PM
robak added a comment.Dec 20 2017, 1:24 PM

Wouldn't we want an UPDATING entry explaining the situation?

Wouldn't we want an UPDATING entry explaining the situation?

Yes, that's a good idea. I will add one and update the diff.

bhughes updated this revision to Diff 36852.Dec 21 2017, 8:55 AM

Change to use USE_PYTHON=noflavors instead of optsuffix, added UPDATING entry

bhughes retitled this revision from devel/awscli: use USE_PTYHON=optsuffix instead of PKGNAMEPREFIX to devel/awscli: use USE_PTYHON=noflavors, remove PKGNAMEPREFIX.Dec 21 2017, 8:58 AM
bhughes edited the summary of this revision. (Show Details)
bhughes updated this revision to Diff 36853.Dec 21 2017, 9:02 AM

Refined the UPDATING entry more

bhughes updated this revision to Diff 36855.Dec 21 2017, 9:05 AM

Finishing touches on UPDATING

mat added inline comments.Dec 21 2017, 11:32 AM
UPDATING
15 ↗(On Diff #36855)
s/PY_FLAVOR/Python's default version/

Or even better, simply remove the last sentence.

bhughes marked an inline comment as done.Dec 21 2017, 12:39 PM
bhughes added inline comments.
UPDATING
15 ↗(On Diff #36855)

Indeed. I removed the last sentence. :)

bhughes updated this revision to Diff 36859.Dec 21 2017, 12:40 PM
bhughes marked an inline comment as done.

Remove last sentence from UPDATING entry, as suggested by mat@

bhughes updated this revision to Diff 37068.Dec 26 2017, 8:25 PM

Resolving UPDATING conflicts

bhughes updated this revision to Diff 37371.Jan 1 2018, 8:42 PM

Resolved UPDATING conflicts

bhughes edited the summary of this revision. (Show Details)Jan 1 2018, 8:58 PM
mat accepted this revision.Jan 2 2018, 1:19 PM
This revision is now accepted and ready to land.Jan 2 2018, 1:19 PM
This revision was automatically updated to reflect the committed changes.